//
//  TaxiFareCalculator.h
//  Hallo Taxi
//
//  Created by Holger Hinzberg on 02.04.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface TaxiFareCalculator : NSObject {
    
    // Die gefahrenen Kilometer
    int kilometer;
    
    // Ist ein eine Nachtfahrt?
    BOOL isNightTour;
    
    // Ist es ein Feiertag?
    BOOL isHolidayTour;
    
    // Mit schwerem Gepäck?
    BOOL hasLuggage;
}

-(double)calculateFare;

@property (assign) int kilometer;
@property (assign) BOOL isNightTour;
@property (assign) BOOL isHolidayTour;
@property (assign) BOOL hasLuggage;

@end
