//
//  Hallo_TaxiAppDelegate.h
//  Hallo Taxi
//
//  Created by Holger Hinzberg on 02.04.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "TaxiFareCalculator.h"

@interface Hallo_TaxiAppDelegate : NSObject <NSApplicationDelegate> {
@private
    
    TaxiFareCalculator *fareCaluclator;
    
    NSWindow *window;
    NSButton *checkIsHolidayTour;
    NSButton *checkIsNightTour;
    NSButton *checkHasLuggage;
    // Das Textfeld für den Fahrpreis
    NSTextField *taxiFareLabel;
    // Zeiger auf das Textfeld (Label)
    NSTextField *sliderValueLabel;
}

@property (assign) IBOutlet NSWindow *window;
@property (assign) IBOutlet NSButton *checkIsHolidayTour;
@property (assign) IBOutlet NSButton *checkIsNightTour;
@property (assign) IBOutlet NSButton *checkHasLuggage;
@property (assign) IBOutlet NSTextField *taxiFareLabel;

// Property – IBOutlet für das Label
@property (assign) IBOutlet NSTextField *sliderValueLabel;

// Methode für den Slider
- (IBAction)sliderDidMove:(id)sender;
// Methode für alle Kontrollkästchen
- (IBAction)checkBoxDidChange:(id)sender;

@end
