//
//  TaxiFareCalculator.m
//  Hallo Taxi
//
//  Created by Holger Hinzberg on 02.04.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "TaxiFareCalculator.h"


@implementation TaxiFareCalculator


@synthesize kilometer;
@synthesize isHolidayTour;
@synthesize isNightTour;
@synthesize hasLuggage;

- (id)init
{
    self = [super init];
    if (self)
    {
        self.kilometer = 0;
        self.isHolidayTour = NO;
        self.isNightTour = NO;
        self.hasLuggage = NO;
 
    }
    return self;
}


-(double)calculateFare
{
    // Der Grundpreis für jede Fahrt
    double fare = 2.50;
    
    // Nachtfahrt oder Feiertag?
    if(self.isNightTour == YES ||
       self.isHolidayTour == YES)
    {
        fare += self.kilometer * 1.45;
    }
    else
    {
        fare += self.kilometer * 1.35;
    }
    
    // Mit Gepäck?
    if(self.hasLuggage == YES)
    {
        fare += 4.50;
    }
    
    return fare;
}


- (void)dealloc
{
    [super dealloc];
}

@end
